Bug 508106 - EeePC 1000HE fails to resume from suspend/hibernate
EeePC 1000HE fails to resume from suspend/hibernate
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
: 508652 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 12:21 EDT by Ryan Rix
Modified: 2018-04-11 14:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 05:48:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Rix 2009-06-25 12:21:41 EDT
Description of problem:
After being left idle for more than a minute or se Asus EEEPC 1000HE fails to resume from suspend or hibernate.

Version-Release number of selected component (if applicable):
[rrix@TheSwan ~]$ uname -a
Linux TheSwan 2.6.29.4-167.fc11.i586 #1 SMP Wed May 27 17:14:37 EDT 2009 i686 i686 i386 GNU/Linux

How reproducible:
Suspend or hibernate on an EEEPC 1000HE either using powerdevil, or the keyboard function key, then resume.

Steps to Reproduce:
See above.
  
Actual results:
 Screen will hang once the X window is displayed, forcing a hard stop shutdown.

Expected results:
It'll resume nicely and work can continue where it was left off.

Additional info:
This seems to be an unnaddressed bug in Ubuntu Jaunty as well, I have learned from searching on the internet. A user in #eeepc on Freenode told me that reverting from Jaunty's 2.6.30 kernel to 2.6.29 fixed the issue, but this is not confirmed on any of the Ubuntu bug trackers for this issue.
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/353122
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/359646
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/353122
Comment 1 Paul Lipps 2009-07-07 20:41:16 EDT
I have not encountered this issue on my ASUS Eee PC 1000HE. I have tested this under both BIOSes 802 and 902. My kernel is 2.6.29.5-191.fc11.i586. The system always recovers from suspend or hibernate as expected.

If there is any output I can provide to assist, please let me know.
Comment 2 Stefan Assmann 2009-07-08 08:13:48 EDT
Hi Paul,

thanks for providing this information, it made me realize where the real problem seems to be. I just updated the BIOS to 902 which didn't show any effect. But then I was thinking what could be different between both our system. The only thing I could image is compiz. So I turned off compiz and so far my problems seem to be gone.
Could you verify that you have compiz turned off? Thanks :) If that's the case I guess this bug should be reassigned to compiz.
Comment 3 Ryan Rix 2009-07-08 10:17:30 EDT
hmm... IO 'm not running compiz though (kwin4, with occaisional use of desktop effects). I have compositing enabled in X11, perhaps that is it? Really, that's still a bug though ;)
Comment 4 Stefan Assmann 2009-07-08 10:24:09 EDT
Ryan, turn of any composition and tell us your results please. :)
Comment 5 Paul Lipps 2009-07-08 10:31:56 EDT
I am running Gnome w/Openbox, and Desktop Effects (compiz) is disabled.
Comment 6 Ryan Rix 2009-07-08 10:36:03 EDT
    Stefan,

    I feel stupid asking this, but how do I disable it in F11 since there is no
    xorg.conf? I poked around /etc/hal/fdi/ and /usr/share/fdi but none of the
    policy files seemed to control that.
Comment 7 Stefan Assmann 2009-07-08 10:55:41 EDT
Hi Ryan,

no problem :)

In GNOME you go
System
-> Preferences
-> Desktop Effects

but I guess you're using KDE right? I'm not sure how exactly to do it there but poke around the system settings menu and come back here in case you really don't find it.
Comment 8 Ryan Rix 2009-07-08 10:59:55 EDT
Well, I disabled the desktop effects, but glxinfo is still acting like compositing is enabled... I'll try a hibernate with desktop effects disabled but, we'll see.
Comment 9 Ryan Rix 2009-07-08 11:13:56 EDT
Seems like it works now! That's an interesting turn of events.

So, without desktop effects/compiz enabled, suspend/hibernate works...

Who should this get assigned to? For now I can just disable effects before hibernate, but I think this should be addressed.
Comment 10 Paul Lipps 2009-07-08 11:21:04 EDT
This could be the same issue Bug 508652
Comment 11 Stefan Assmann 2009-07-15 06:08:16 EDT
reassigning to compiz because of comment #9
Comment 12 Stefan Assmann 2009-07-15 06:10:20 EDT
*** Bug 508652 has been marked as a duplicate of this bug. ***
Comment 14 Matěj Cepl 2009-11-05 13:33:07 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 15 Matěj Cepl 2009-11-17 07:02:06 EST
Switching incorrect assignees to the default one.
Comment 16 Hamidou Dia 2009-11-27 14:42:00 EST
Hi all,

Could someone that experienced this issue come back with a feedback about suspend / hibernate test with the EEEPC 1000HE on let's say Rawhide/F12/F11 ?

Are you experiencing the same issue? Or a quiet bit different one (segfaults)?

Feedback would be really appreciated.

Many thanks in advance.

Regards.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Adel Gadllah 2009-11-28 19:31:17 EST
This bug has nothing to do with compiz, it looks like an X/driver/kernel bug.
Comment 18 Ryan Rix 2009-11-29 00:46:12 EST
How did I miss so many needinfos? :/

Afaict this bug no longer exists, in response to comment #14 and comment #16. I am running in F12 currently, and have had no issues with resume from suspend (besides a few IO races, which I'm going to file seperately when I have a chance to debug it a little)

Unless someone else is still having this issue (and comments accordingly) I'd close this as CURRENTRELEASE...
Comment 19 Hamidou Dia 2009-11-29 10:55:26 EST
Hi Ryan,

Many thanks for the feedback.
Give this bugzilla few more days (but not much, as we are trying to clean the queue a bit) and feel free to close if no negative feedback is reported.

Regards.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 Hamidou Dia 2009-12-07 05:48:39 EST
Hi all,

No negative feedback received during the last week.

Regards.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.